Nous ne répondons seulement qu'aux sujets dont l'auteur a complété sa signature [Lire]


opencart et les versions de php

Ce forum concerne les problèmes ou solutions d'installation d'OpenCart rencontrés chez cet hébergeur

opencart et les versions de php

Messagepar geekbijoux » 04 Fév 2011, 23:30

Bonjour à tous.
Je viens de découvrir opencart et je me réjoui à l'idée de l'installer pour remplacer ma boutique en ligne bien moins jolie.
Première déception mon hébergeur ne supporte pas php 5 :( à en croire ce bout de code http://www.geekbijoux.com/version.php
Ma première question, et non des moindre, est : quelle est la version d'opencart à télécharger dans mon cas ? (php 4.4.9)

Après j'ai pu regarder un peu l'interface en local, ça m'a l'air bien ! sauf que j'ai voulu tester les template, à priori aucune ne fonctionne. Avez-vous eu ce même problème ?

merci d'avance pour vos réponses !
Boutique 1 : Opencart v1.4.9_Fr - online.net
Boutique 2 : Opencart_v1.5.1.1_Fr - online.net
geekbijoux
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 7
Inscription: 04 Fév 2011, 23:19

Re: opencart et les versions de php

Messagepar LeorLindel » 05 Fév 2011, 00:11

geekbijoux a écrit:Première déception mon hébergeur ne supporte pas php 5 :( à en croire ce bout de code http://www.geekbijoux.com/version.php
Ma première question, et non des moindre, est : quelle est la version d'opencart à télécharger dans mon cas ? (php 4.4.9)
Malheureusement pour toi mais la version la plus ancienne que l'on peut encore télécharger est la 1.4.7 et elle nécessite une version 5 de php.

Il ne te reste plus qu'à demander à ton hébergeur de mettre à niveau sa version de php ou..... de changer d'hébergement.

PS / D'ailleurs un hébergeur qui n'est pas encore en PHP 5 a vraiment du retard quand même.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4228
Inscription: 19 Fév 2010, 13:44
Localisation: Lutéce

Re: opencart et les versions de php

Messagepar geekbijoux » 05 Fév 2011, 17:10

merci pour ta réponse. J'ai finalement pu upgrader ma version de php, donc la dernière version d'opencart est active, youpii
Pour info, si vous êtes chez online la manip est là : http://documentation.online.net/fr/hebergement-mutualise/gestion-web/configuration-php#activer_php5

J'ai tenté d'installer un module Addthis http://www.opencart-france.com/index.php?route=contribution/contribution/info&category_id=1&contribution_id=200 mais cela me génère des erreurs dans le fichier product.pl du catalogue : "Notice: Undefined variable: add_this in /opencart/catalog/view/theme/default_2/template/product/product.tpl on line 18"
Capture d’écran 2011-02-05 à 16.16.14.png
erreur Addthis
Capture d’écran 2011-02-05 à 16.16.14.png (25.34 Kio) Vu 2211 fois

voici la ligne 18
Code: Tout sélectionner
<td><?php echo $add_this; ?></td>

D'ailleurs dans la page d'admin le module n'est pas activable :(

Une idée ?
Boutique 1 : Opencart v1.4.9_Fr - online.net
Boutique 2 : Opencart_v1.5.1.1_Fr - online.net
geekbijoux
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 7
Inscription: 04 Fév 2011, 23:19

Re: opencart et les versions de php

Messagepar LeorLindel » 05 Fév 2011, 17:21

geekbijoux a écrit:J'ai tenté d'installer un module Addthis http://www.opencart-france.com/index.php?route=contribution/contribution/info&category_id=1&contribution_id=200 mais cela me génère des erreurs dans le fichier product.pl du catalogue : "Notice: Undefined variable: add_this in /opencart/catalog/view/theme/default_2/template/product/product.tpl on line 18"
Capture d’écran 2011-02-05 à 16.16.14.png

En effet, ce module n'est plus d'actualité puisqu'il avait été conçu pour une version 1.4.7 d'OpenCart. Mais on peut désormais le trouver ici pour les versions supérieures.
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4228
Inscription: 19 Fév 2010, 13:44
Localisation: Lutéce

Re: opencart et les versions de php

Messagepar geekbijoux » 06 Fév 2011, 22:10

LeorLindel a écrit:En effet, ce module n'est plus d'actualité puisqu'il avait été conçu pour une version 1.4.7 d'OpenCart. Mais on peut désormais le trouver ici pour les versions supérieures.

Ou ici en gratuit (testé et approuvé) : http://www.opencart.com/index.php?route=extension/extension/info&extension_id=1312&filter_license=0&filter_download_id=10&page=8&sort=e.date_modified&order=DESC
Boutique 1 : Opencart v1.4.9_Fr - online.net
Boutique 2 : Opencart_v1.5.1.1_Fr - online.net
geekbijoux
Utilisateur enregistré
Utilisateur enregistré
 
Messages: 7
Inscription: 04 Fév 2011, 23:19

Re: opencart et les versions de php

Messagepar LeorLindel » 07 Fév 2011, 02:31

En effet c'est mieux, mais y a t'il une obligation à garder le lien qui pointe sur un forum thaïlandais,(je présume), quand l'on clique sur l'image d'en-tête de la side-box (PARTAGER) en contre partie ?
Image
1 - A lire avant de poster un sujet
2 - Politique sur la signature.

Quand le sujet est résolu, pensez à ajouter la petite coche verte Image dans le titre initial en éditant votre premier message et non dans votre dernière réponse.
Merci


Toutes les extensions commerciales (templates ou modules payants) ne peuvent pas faire l'objet d'ouverture de sujet, prière de bien vouloir s'adresser au concepteur en cas de problème ou demande de renseignements.

Seul, on avance plus vite, à plusieurs on avance plus loin.
Avatar de l’utilisateur
LeorLindel
Administrateur
Administrateur
 
Messages: 4228
Inscription: 19 Fév 2010, 13:44
Localisation: Lutéce


Retourner vers Online

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 0 invités

cron